import request from '@/utils/httpRequest'

export default class DimissionService {
  list (params) {
    return request({
      url: '/changes/dimission/list',
      method: 'get',
      params: params
    })
  }
  queryById (id) {
    return request({
      url: '/changes/dimission/queryById',
      method: 'get',
      params: {id: id}
    })
  }
  save (inputForm) {
    return request({
      url: `/changes/dimission/save`,
      method: 'post',
      data: inputForm
    })
  }
  saveCheck (inputForm) {
    return request({
      url: `/changes/dimission/saveCheck`,
      method: 'post',
      data: inputForm
    })
  }
  delete (ids) {
    return request({
      url: '/changes/dimission/delete',
      method: 'delete',
      params: {ids: ids}
    })
  }
  updateStatus (id) {
    return request({
      url: '/changes/dimission/updateStatus',
      method: 'get',
      params: {id: id}
    })
  }
  updateVettingStatusById (params) {
    return request({
      url: '/changes/dimission/updateVettingStatusById',
      method: 'post',
      data: params
    })
  }
}
